#
# spec file for package bitlbee-discord
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define         github_user sm00th
%define         short_name discord
Name:           bitlbee-%{short_name}
Version:        0.4.1
Release:        lp152.3.5
Summary:        Bitlbee plugin for Discord
License:        GPL-2.0
Group:          Productivity/Networking/IRC
URL:            https://github.com/%{github_user}/%{name}
Source:         https://github.com/%{github_user}/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(bitlbee)

%description
Bitlbee plugin for Discord.

%prep
%setup -q

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
%make_install
rm %{buildroot}%{_libdir}/bitlbee/%{short_name}.la

%files
%doc LICENSE README
%dir %{_libdir}/bitlbee
%{_libdir}/bitlbee/%{short_name}.so
%{_datadir}/bitlbee/%{short_name}-help.txt

%changelog
* Tue Jan  9 2018 9@cirno.systems
- Switch to 0.4.1 release tarball, remove _service files
  * Allow getting backlog of private messages
  * Fix use-after-free on OPCODE_RECONNECT/INVALID_SESSION
* Fri Dec 29 2017 9@cirno.systems
- Update to version 0.1514391956.6a03db1:
  * Don't send acks on old messages
  * Handle rate limiting
  * Add a function to send raw http requests
  * Update away handlers
  * Bump plugin version
  * Group DMs don't really have topics
  * Group DMs (fixes #54)
  * imcb_log on reconnect opcode
  * respond to heartbeats and obey reconnect requests
  * additional unhandled events
  * Fix lastmsg/lastread logic
  * Convert custom emoji to the code and URL
  * Friendship mode
  * Read all available data from the SSL buffer
  * login message: wrong password
  * Enable self messages
  * Don't fail to login when no servers exist
  * Add 'help discord'
  * discord_ws_send_payload: fixup char casting
  * discord-websockets: fix implicit int to gchar cast
  * discord-websockets: fix some warnings
  * Fix lingering writable event source
  * Make server_prefix_len truncate by utf8 characters instead of bytes
  * Use proper conversion specifiers in prints (fixes segfaults)
* Wed Mar  1 2017 okurz@suse.com
- Update to version 0f0485e:
  * Add a fake "guild" for global frineds.
  * Fix imcb_error format.
  * Add a debug option to configure.
  * Don't allow backlog fetches with limit < 1.
  * Debugging updates.
  * Make sure chan names are unique.
  * Remove bci from chatlist on channel deletion.
  * Add fetch_pinned option.
  * Detect (un)pins properly.
  * Report "email" errors on login.
* Wed Mar  1 2017 okurz@suse.com
- Initial package based on 0f0485e as there are no upstream releases
